<?php
/*
 *   Setup the settings page for configuring the options
 */
if ( class_exists( "GFForms" ) ) {
	GFForms::include_addon_framework();
	class ITSG_GF_Progress_Zero_Settings extends GFAddOn {
		protected $_version = "1.2.0";
		protected $_min_gravityforms_version = "1.7.9999";
		protected $_slug = "itsg_gf_progresszero";
		protected $_full_path = __FILE__;
		protected $_title = "Gravity Forms - Start progress bar at zero percent";
		protected $_short_title = "Start progress bar at zero percent";

		public function init(){
			parent::init();
			add_filter( 'gform_submit_button', array( $this, 'form_submit_button' ), 10, 2);
        } // END init

		// Add the text in the plugin settings to the bottom of the form if enabled for this form
		function form_submit_button( $button, $form ){
			$settings = $this->get_form_settings( $form );
			if ( true == rgar( $settings, 'enabled' ) ){
				$text = $this->get_plugin_setting('mytextbox');
				$button = "<div>{$text}</div>" . $button;
			}
			return $button;
		} // END form_submit_button

		// add the options
		public function plugin_settings_fields() {
            return array(
				array(
                    'title'  => __( 'Formatting and Styles', 'gravity-forms-start-progress-bar-at-zero-percent' ),
                    'fields' => array(
						array(
                            'label'   => __( 'Include CSS styles', 'gravity-forms-start-progress-bar-at-zero-percent' ),
                            'type'    => 'checkbox',
                            'name'    => 'includecss',
                            'tooltip' => __( 'This option allows you to control whether to use the CSS styles provided in the plugin. If this is not enabled you can apply styles through your theme.', 'gravity-forms-start-progress-bar-at-zero-percent' ),
                            'choices' => array(
                                array(
                                    'label' => __( 'Yes', 'gravity-forms-start-progress-bar-at-zero-percent' ),
                                    'name'  => 'includecss',
									'default_value' => true
                                )
                            )
                        )
					)
				)
			);
        } // END plugin_settings_fields

		public function styles() {
			$min = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG || isset( $_GET['gform_debug'] ) ? '' : '.min';
			$version = defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG || isset( $_GET['gform_debug'] ) ? mt_rand() : $this->_version;

			$styles = array(
				array(
					'handle'  => 'itsg_progresszero_css',
					'src'     => $this->get_base_url() . "/css/itsg_progresszero_css{$min}.css",
					'version' => $version,
					'media'   => 'screen',
					'enqueue' => array( array( $this, 'requires_stylesheet' ) ),
				),
			);

			return array_merge( parent::styles(), $styles );
		} // END styles

		public function requires_stylesheet( $form, $is_ajax ) {
			$progresszero_options = ITSG_GF_Progress_Zero::get_options();
			if ( rgar( $progresszero_options, 'includecss' ) && GFCommon::has_pages( $form ) && ! GFCommon::is_form_editor() && ! GFCommon::is_entry_detail() ) {
				return true;
			}

			return false;
		} // END requires_stylesheet
    }
    new ITSG_GF_Progress_Zero_Settings();
}